Index: /data/branches/single_player_map/scripts/guard.lua
===================================================================
--- /data/branches/single_player_map/scripts/guard.lua	(revision 3946)
+++ /data/branches/single_player_map/scripts/guard.lua	(revision 3947)
@@ -1,4 +1,4 @@
 -- Global Variables
-walkingRouteOne = false   -- True if thestranger is walking route one
+walkingRouteOne = true   -- True if thestranger is walking route one
 exitPositionReached = false
 playerInLock = false
@@ -22,9 +22,18 @@
 playerZ = Player:getAbsCoorZ()
 
-playerInLock = false
+if dist( playerX,playerY,playerZ,161.76,49,358.87 ) < 60 then
+playerInLock = true
 end
 
+end
+
+routeOneProgrammed = false
 function walkRouteOne(timestep)
 
+if not routeOneProgrammed then
+io.write("Guard called \n")
+guard:walkTo(-154.592667, 80.000000, 231.381805)
+routeOneProgrammed = true
+end
 
 end
@@ -52,5 +61,5 @@
 
 if walkingRouteOne then
-waklRouteOne(timestep)
+walkRouteOne(timestep)
 end
 
Index: /data/branches/single_player_map/scripts/spaceship.lua
===================================================================
--- /data/branches/single_player_map/scripts/spaceship.lua	(revision 3947)
+++ /data/branches/single_player_map/scripts/spaceship.lua	(revision 3947)
@@ -0,0 +1,5 @@
+
+function tick(timestep)
+--io.write("Spaceship called \n")
+return false
+end
Index: /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw
===================================================================
--- /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3946)
+++ /data/branches/single_player_map/worlds/sp_level_ambush_at_jupiter.oxw	(revision 3947)
@@ -18,8 +18,41 @@
 
     <Script>
-     <file>thestranger.lua</file>
-     <object>GenericNPC, thestranger</object>
-    </Script>
-
+     <file>guard.lua</file>
+     <object>GenericNPC, guard</object>
+     <object>FPSPlayer, Player</object>
+    </Script>
+
+    <Script>
+     <file>secondguard.lua</file>
+     <object>GenericNPC, secondguard</object>
+     <object>FPSPlayer, Player</object>
+     <object>GenericNPC, Prisoner</object>
+    </Script>
+
+    <Script>
+     <file>prisoner.lua</file>
+     <object>GenericNPC, Prisoner</object>
+     <object>FPSPlayer, Player</object>
+    </Script>
+
+    <Script>
+     <file>secondprisoner.lua</file>
+     <object>GenericNPC, Secondprisoner</object>
+     <object>FPSPlayer, Player</object>
+    </Script>
+
+    <Script>
+     <file>falldown.lua</file>
+     <object>GenericNPC, Fallingguy </object>
+     <object>FPSPlayer, Player</object>
+    </Script>
+
+    <Script>
+     <file>spaceship.lua</file>
+     <object>Claw, spaceshipclaw</object>
+     <object>RepairStation, repair</object>
+     <object>FPSPlayer, Player</object>
+     <object>SpaceShip, spaceship</object>
+    </Script>
     
    </Scripts>
@@ -34,32 +67,55 @@
      <radius>100</radius>
      <worldentity>Player</worldentity>
-     <triggerlasts>true</triggerlasts>
-     <debugdraw>true</debugdraw>
-     <addtoscript>true</addtoscript>
+     <debugdraw>true</debugdraw>
     </ScriptTrigger>
 
     <ScriptTrigger>
-     <name>strangerTrigger</name>
-     <file>thestranger.lua</file>
-     <function>tick</function>
-     <abs-coor>-84, 19, 77</abs-coor>
-     <radius>100</radius>
-     <worldentity>Player</worldentity>
-     <triggerlasts>true</triggerlasts>
-     <debugdraw>true</debugdraw>
-     <addtoscript>true</addtoscript>
-    </ScriptTrigger>
-
+     <name>guardtrigger</name>
+     <file>guard.lua</file>
+     <function>tick</function>
+     <abs-coor>-84, 19, 77</abs-coor>
+     <radius>100</radius>
+     <worldentity>Player</worldentity>
+     <debugdraw>true</debugdraw>
+    </ScriptTrigger>  
+
+    <ScriptTrigger>
+     <name>secondguardtrigger</name>
+     <file>secondguard.lua</file>
+     <function>tick</function>
+     <abs-coor>-84, 19, 77</abs-coor>
+     <radius>100</radius>
+     <worldentity>Player</worldentity>
+     <debugdraw>true</debugdraw>
+    </ScriptTrigger>  
+
+    <ScriptTrigger>
+     <name>prisonertrigger</name>
+     <file>prisoner.lua</file>
+     <function>tick</function>
+     <abs-coor>-84, 19, 77</abs-coor>
+     <radius>100</radius>
+     <worldentity>Player</worldentity>
+     <debugdraw>true</debugdraw>
+    </ScriptTrigger> 
 
    <ScriptTrigger>
-     <name>panicTrigger</name>
-     <file>thestranger.lua</file>
-     <function>togglePanic</function>
-     <abs-coor>262, 19, 178</abs-coor>
-     <radius>10</radius>
-     <worldentity>thestranger</worldentity>
-     <triggerlasts>false</triggerlasts>
-     <debugdraw>true</debugdraw>
-     <addtoscript>false</addtoscript>
+     <name>secondprisonertrigger</name>
+     <file>secondprisoner.lua</file>
+     <function>tick</function>
+     <abs-coor>-84, 19, 77</abs-coor>
+     <radius>100</radius>
+     <worldentity>Player</worldentity>
+     <debugdraw>true</debugdraw>
+    </ScriptTrigger>  
+
+    <ScriptTrigger>
+     <name>spaceshiptrigger</name>
+     <file>spaceship.lua</file>
+     <function>tick</function>
+     <abs-coor>-84, 19, 77</abs-coor>
+     <radius>100</radius>
+     <worldentity>Player</worldentity>
+     <debugdraw>true</debugdraw>
     </ScriptTrigger>
 
@@ -78,8 +134,4 @@
     </SkyBox>
 
-     <Door>
-     <abs-coor>159, 80, 283</abs-coor>
-     </Door>
-
     <BspEntity>
       <Name>worlds/bsp/single_player_proto_world_01.bsp</Name>
@@ -87,9 +139,33 @@
 
     <GenericNPC>
-       <name>thestranger</name>
-       <model>models/creatures/doom_guy.md2, 10</model>
-       <md2texture>doom_guy.png</md2texture>
-       <abs-coor>-120, 29, 208</abs-coor>
-       <abs-dir>-1.55, 0, 1, 0</abs-dir>
+       <name>guard</name>
+       <model>models/creatures/doom_guy.md2, 10</model>
+       <md2texture>doom_guy.png</md2texture>
+       <abs-coor>275.33, 29, 241.26</abs-coor>
+       <abs-dir>-3.1, 0, 1, 0</abs-dir>
+    </GenericNPC>
+
+    <GenericNPC>
+       <name>secondguard</name>
+       <model>models/creatures/doom_guy.md2, 10</model>
+       <md2texture>doom_guy.png</md2texture>
+       <abs-coor>440, 55, 180</abs-coor>
+       <abs-dir>-3.1, 0, 1, 0</abs-dir>
+    </GenericNPC>
+    
+    <GenericNPC>
+       <name>statist</name>
+       <model>models/creatures/doom_guy.md2, 10</model>
+       <md2texture>doom_guy.png</md2texture>
+       <abs-coor>-58, 29, 496</abs-coor>
+       <abs-dir>0, 0, 1, 0</abs-dir>
+    </GenericNPC>
+
+    <GenericNPC>
+       <name>statist2</name>
+       <model>models/creatures/doom_guy.md2, 10</model>
+       <md2texture>doom_guy.png</md2texture>
+       <abs-coor>-65, 29, 528</abs-coor>
+       <abs-dir>0, 0, 1, 0</abs-dir>
     </GenericNPC>
 
@@ -103,5 +179,5 @@
     <FPSPlayer>
       <name>Player</name>
-      <abs-coor>-148,80,87</abs-coor>
+      <abs-coor>-148,49,87</abs-coor>
       <model>models/creatures/droidika.md2, 5</model>
       <md2texture>droidika.png</md2texture>