Index: /data/trunk/models/projectiles/laser.mtl
===================================================================
--- /data/trunk/models/projectiles/laser.mtl	(revision 3947)
+++ /data/trunk/models/projectiles/laser.mtl	(revision 3948)
@@ -1,7 +1,12 @@
-newmtl initialShadingGroup
-illum 4
-Kd 1.0 1.0 0.0
-Ka 0.00 0.00 0.00
-Tf 1.00 1.00 1.00
-Ni 1.00
-map_Kd maps/radialTransparency.png
+# Blender MTL File: laser.obj
+# Material Count: 1
+newmtl initialShadingGroup_r
+Ns 92.0
+Ka 0.0 0.0 0.0
+Kd 0.64 0.64 0.0
+Ks 0.25 0.25 0.25
+Ni 1.0
+d 1.0
+illum 2
+
+
Index: /data/trunk/models/ships/asheroc_bomber.mtl
===================================================================
--- /data/trunk/models/ships/asheroc_bomber.mtl	(revision 3948)
+++ /data/trunk/models/ships/asheroc_bomber.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/asheroc_cuizer.mtl
===================================================================
--- /data/trunk/models/ships/asheroc_cuizer.mtl	(revision 3948)
+++ /data/trunk/models/ships/asheroc_cuizer.mtl	(revision 3948)
@@ -0,0 +1,121 @@
+# Blender MTL File: untitled.blend
+# Material Count: 11
+newmtl 03_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material1
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material0
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material2
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 02_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material_#91
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material3
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material5
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl Material4
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material6
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+
+
Index: /data/trunk/models/ships/asheroc_fighter.mtl
===================================================================
--- /data/trunk/models/ships/asheroc_fighter.mtl	(revision 3948)
+++ /data/trunk/models/ships/asheroc_fighter.mtl	(revision 3948)
@@ -0,0 +1,242 @@
+# Blender MTL File: untitled.blend
+# Material Count: 22
+newmtl Material
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material0
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material2
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material4
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material6
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl Material19
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material12
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material10
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material8
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material16
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material14
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material1
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material3
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material18
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material5
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl Material7
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material13
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material20
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material9
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material11
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material17
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl Material15
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.0 0.0 0.0
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/noxon_battle_drone.mtl
===================================================================
--- /data/trunk/models/ships/noxon_battle_drone.mtl	(revision 3948)
+++ /data/trunk/models/ships/noxon_battle_drone.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl mat1
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.24902 0.24902 0.24902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/noxon_battle_ship.mtl
===================================================================
--- /data/trunk/models/ships/noxon_battle_ship.mtl	(revision 3948)
+++ /data/trunk/models/ships/noxon_battle_ship.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 8_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/noxon_cuizer.mtl
===================================================================
--- /data/trunk/models/ships/noxon_cuizer.mtl	(revision 3948)
+++ /data/trunk/models/ships/noxon_cuizer.mtl	(revision 3948)
@@ -0,0 +1,57 @@
+# Blender MTL File: untitled.blend
+# Material Count: 5
+newmtl 7_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 2_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 3_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 4_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/noxon_figher1.mtl
===================================================================
--- /data/trunk/models/ships/noxon_figher1.mtl	(revision 3948)
+++ /data/trunk/models/ships/noxon_figher1.mtl	(revision 3948)
@@ -0,0 +1,32 @@
+# Blender MTL File: untitled.blend
+# Material Count: 3
+newmtl Material_#5
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl Material_#3
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl 01_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+
+
Index: /data/trunk/models/ships/noxon_fighter2.mtl
===================================================================
--- /data/trunk/models/ships/noxon_fighter2.mtl	(revision 3948)
+++ /data/trunk/models/ships/noxon_fighter2.mtl	(revision 3948)
@@ -0,0 +1,79 @@
+# Blender MTL File: untitled.blend
+# Material Count: 7
+newmtl 9_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 3_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 7_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 8_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 13_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 2_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terrain_corvette.mtl
===================================================================
--- /data/trunk/models/ships/terrain_corvette.mtl	(revision 3948)
+++ /data/trunk/models/ships/terrain_corvette.mtl	(revision 3948)
@@ -0,0 +1,12 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 01_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+
+
Index: /data/trunk/models/ships/terran_battle_cruizer.mtl
===================================================================
--- /data/trunk/models/ships/terran_battle_cruizer.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_battle_cruizer.mtl	(revision 3948)
@@ -0,0 +1,2 @@
+# Blender MTL File: untitled.blend
+# Material Count: 0
Index: /data/trunk/models/ships/terran_battle_cruizer2.mtl
===================================================================
--- /data/trunk/models/ships/terran_battle_cruizer2.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_battle_cruizer2.mtl	(revision 3948)
@@ -0,0 +1,2 @@
+# Blender MTL File: untitled.blend
+# Material Count: 0
Index: /data/trunk/models/ships/terran_bomber.mtl
===================================================================
--- /data/trunk/models/ships/terran_bomber.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_bomber.mtl	(revision 3948)
@@ -0,0 +1,2 @@
+# Blender MTL File: untitled.blend
+# Material Count: 0
Index: /data/trunk/models/ships/terran_cruizer.mtl
===================================================================
--- /data/trunk/models/ships/terran_cruizer.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_cruizer.mtl	(revision 3948)
@@ -0,0 +1,2 @@
+# Blender MTL File: untitled.blend
+# Material Count: 0
Index: /data/trunk/models/ships/terran_drop_ship.mtl
===================================================================
--- /data/trunk/models/ships/terran_drop_ship.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_drop_ship.mtl	(revision 3948)
@@ -0,0 +1,123 @@
+# Blender MTL File: untitled.blend
+# Material Count: 11
+newmtl 19_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 8_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 9_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 3_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 7_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 14_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 15_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 2_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 13
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 20_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terran_fighter1.mtl
===================================================================
--- /data/trunk/models/ships/terran_fighter1.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_fighter1.mtl	(revision 3948)
@@ -0,0 +1,2 @@
+# Blender MTL File: untitled.blend
+# Material Count: 0
Index: /data/trunk/models/ships/terran_fighter2.mtl
===================================================================
--- /data/trunk/models/ships/terran_fighter2.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_fighter2.mtl	(revision 3948)
@@ -0,0 +1,2 @@
+# Blender MTL File: untitled.blend
+# Material Count: 0
Index: /data/trunk/models/ships/terran_fighter3_reptile.mtl
===================================================================
--- /data/trunk/models/ships/terran_fighter3_reptile.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_fighter3_reptile.mtl	(revision 3948)
@@ -0,0 +1,12 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 01_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+
+
Index: /data/trunk/models/ships/terran_fighter4.mtl
===================================================================
--- /data/trunk/models/ships/terran_fighter4.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_fighter4.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.505098 0.564706 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terran_fighter5.mtl
===================================================================
--- /data/trunk/models/ships/terran_fighter5.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_fighter5.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terran_fighter6.mtl
===================================================================
--- /data/trunk/models/ships/terran_fighter6.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_fighter6.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terran_frigater.mtl
===================================================================
--- /data/trunk/models/ships/terran_frigater.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_frigater.mtl	(revision 3948)
@@ -0,0 +1,100 @@
+# Blender MTL File: untitled.blend
+# Material Count: 9
+newmtl 05_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 10_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 02_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 09_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 08_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 07_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 04_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
+newmtl 01_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.467451 0.467451 0.467451
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+
+
+newmtl 03_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terran_gun_ship.mtl
===================================================================
--- /data/trunk/models/ships/terran_gun_ship.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_gun_ship.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl 1_-_Default
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.470588 0.470588 0.470588
+Ks 0.44902 0.44902 0.44902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terran_transporter.mtl
===================================================================
--- /data/trunk/models/ships/terran_transporter.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_transporter.mtl	(revision 3948)
@@ -0,0 +1,13 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl mat1
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.24902 0.24902 0.24902
+Ni 1.0
+d 1.0
+illum 2
+map_Kd Untitled
+
+
Index: /data/trunk/models/ships/terran_transporter2.mtl
===================================================================
--- /data/trunk/models/ships/terran_transporter2.mtl	(revision 3948)
+++ /data/trunk/models/ships/terran_transporter2.mtl	(revision 3948)
@@ -0,0 +1,12 @@
+# Blender MTL File: untitled.blend
+# Material Count: 1
+newmtl mat1
+Ns 96.0
+Ka 0.0 0.0 0.0
+Kd 0.8 0.8 0.8
+Ks 0.24902 0.24902 0.24902
+Ni 1.0
+d 1.0
+illum 2
+
+