Index: orxonox/branches/physics/src/util/physics/i_physics.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/i_physics.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/i_physics.cc	(revision 3954)
@@ -0,0 +1,53 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "proto_class.h"
+
+#include "stdincl.h" // maybe
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassName ("ProtoClass");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
+
+/**
+   \brief nonsense - delete this method
+   \param realy nothing to give
+   \returns true or false - probably nothing?
+
+   this is just to show the doxygen abilities (this for example is an extension for a long comment)
+*/
+bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/i_physics.h
===================================================================
--- orxonox/branches/physics/src/util/physics/i_physics.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/i_physics.h	(revision 3954)
@@ -0,0 +1,39 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of the proto class template, used quickly start work
+    \todo Example: this shows how to use simply add a Marker that here has to be done something.
+
+    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
+    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "what realy has to be included"
+#include "base_object.h"
+
+// FORWARD DEFINITION \\
+class someClassWeNeed;
+
+
+/*class Test;*/ /* forward definition of class Test (without including it here!)*/
+
+//! A default class that aids you to start creating a new class
+/**
+   here can be some longer description of this class
+*/
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+  bool doNonSense (int nothing);
+
+ private:
+  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: orxonox/branches/physics/src/util/physics/physical_interaction.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction.cc	(revision 3954)
@@ -0,0 +1,53 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "proto_class.h"
+
+#include "stdincl.h" // maybe
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassName ("ProtoClass");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
+
+/**
+   \brief nonsense - delete this method
+   \param realy nothing to give
+   \returns true or false - probably nothing?
+
+   this is just to show the doxygen abilities (this for example is an extension for a long comment)
+*/
+bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/physical_interaction.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction.h	(revision 3954)
@@ -0,0 +1,39 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of the proto class template, used quickly start work
+    \todo Example: this shows how to use simply add a Marker that here has to be done something.
+
+    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
+    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "what realy has to be included"
+#include "base_object.h"
+
+// FORWARD DEFINITION \\
+class someClassWeNeed;
+
+
+/*class Test;*/ /* forward definition of class Test (without including it here!)*/
+
+//! A default class that aids you to start creating a new class
+/**
+   here can be some longer description of this class
+*/
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+  bool doNonSense (int nothing);
+
+ private:
+  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: orxonox/branches/physics/src/util/physics/physical_interaction_asym.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_asym.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_asym.cc	(revision 3954)
@@ -0,0 +1,53 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "proto_class.h"
+
+#include "stdincl.h" // maybe
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassName ("ProtoClass");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
+
+/**
+   \brief nonsense - delete this method
+   \param realy nothing to give
+   \returns true or false - probably nothing?
+
+   this is just to show the doxygen abilities (this for example is an extension for a long comment)
+*/
+bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/physical_interaction_asym.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_asym.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_asym.h	(revision 3954)
@@ -0,0 +1,39 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of the proto class template, used quickly start work
+    \todo Example: this shows how to use simply add a Marker that here has to be done something.
+
+    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
+    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "what realy has to be included"
+#include "base_object.h"
+
+// FORWARD DEFINITION \\
+class someClassWeNeed;
+
+
+/*class Test;*/ /* forward definition of class Test (without including it here!)*/
+
+//! A default class that aids you to start creating a new class
+/**
+   here can be some longer description of this class
+*/
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+  bool doNonSense (int nothing);
+
+ private:
+  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: orxonox/branches/physics/src/util/physics/physical_interaction_sym.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_sym.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_sym.cc	(revision 3954)
@@ -0,0 +1,53 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "proto_class.h"
+
+#include "stdincl.h" // maybe
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassName ("ProtoClass");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
+
+/**
+   \brief nonsense - delete this method
+   \param realy nothing to give
+   \returns true or false - probably nothing?
+
+   this is just to show the doxygen abilities (this for example is an extension for a long comment)
+*/
+bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/physical_interaction_sym.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physical_interaction_sym.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physical_interaction_sym.h	(revision 3954)
@@ -0,0 +1,39 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of the proto class template, used quickly start work
+    \todo Example: this shows how to use simply add a Marker that here has to be done something.
+
+    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
+    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "what realy has to be included"
+#include "base_object.h"
+
+// FORWARD DEFINITION \\
+class someClassWeNeed;
+
+
+/*class Test;*/ /* forward definition of class Test (without including it here!)*/
+
+//! A default class that aids you to start creating a new class
+/**
+   here can be some longer description of this class
+*/
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+  bool doNonSense (int nothing);
+
+ private:
+  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
+
+};
+
+#endif /* _PROTO_CLASS_H */
Index: orxonox/branches/physics/src/util/physics/physics_enginge.cc
===================================================================
--- orxonox/branches/physics/src/util/physics/physics_enginge.cc	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physics_enginge.cc	(revision 3954)
@@ -0,0 +1,53 @@
+
+
+/* 
+   orxonox - the future of 3D-vertical-scrollers
+
+   Copyright (C) 2004 orx
+
+   This program is free software; you can redistribute it and/or modify
+   it under the terms of the GNU General Public License as published by
+   the Free Software Foundation; either version 2, or (at your option)
+   any later version.
+
+   ### File Specific:
+   main-programmer: ...
+   co-programmer: ...
+*/
+
+#define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
+
+#include "proto_class.h"
+
+#include "stdincl.h" // maybe
+
+using namespace std;
+
+
+/**
+   \brief standard constructor
+   \todo this constructor is not jet implemented - do it
+*/
+ProtoClass::ProtoClass () 
+{
+   this->setClassName ("ProtoClass");
+}
+
+
+/**
+   \brief standard deconstructor
+
+*/
+ProtoClass::~ProtoClass () 
+{
+  // delete what has to be deleted here
+}
+
+/**
+   \brief nonsense - delete this method
+   \param realy nothing to give
+   \returns true or false - probably nothing?
+
+   this is just to show the doxygen abilities (this for example is an extension for a long comment)
+*/
+bool ProtoClass::doNonSense (int nothing) {}
Index: orxonox/branches/physics/src/util/physics/physics_enginge.h
===================================================================
--- orxonox/branches/physics/src/util/physics/physics_enginge.h	(revision 3954)
+++ orxonox/branches/physics/src/util/physics/physics_enginge.h	(revision 3954)
@@ -0,0 +1,39 @@
+/*! 
+    \file proto_class.h
+    \brief Definition of the proto class template, used quickly start work
+    \todo Example: this shows how to use simply add a Marker that here has to be done something.
+
+    The Protoclass exists, to help you quikly getting the run for how to develop in orxonox.
+    It is an example for the CODING-CONVENTION, and a starting-point for every class.
+*/
+
+#ifndef _PROTO_CLASS_H
+#define _PROTO_CLASS_H
+
+#include "what realy has to be included"
+#include "base_object.h"
+
+// FORWARD DEFINITION \\
+class someClassWeNeed;
+
+
+/*class Test;*/ /* forward definition of class Test (without including it here!)*/
+
+//! A default class that aids you to start creating a new class
+/**
+   here can be some longer description of this class
+*/
+class ProtoClass : public BaseObject {
+
+ public:
+  ProtoClass();
+  virtual ~ProtoClass();
+
+  bool doNonSense (int nothing);
+
+ private:
+  int nonSense;  //!< doxygen tag here like this for all the variables - delete this variable if you use this
+
+};
+
+#endif /* _PROTO_CLASS_H */